Pull request: https://github.com/theforeman/puppet-for
Description

I'm not sure what has changed, but it seems that the smart proxy registration is now happening before pulpcore is fully up and
serving its capabilities. This results in katello preferring pulp2 for file/docker content instead of pulp3.

After install you can see in the foreman proxy logs:

2020-04-21T20:56:38 131ba2fb [E] Could not fetch capabilities: 765: unexpected token at '<!DOCTYPE HTML PUBLIC
"-//IETF//DTD HTML 2.0//EN">

<html><head>

<title>503 Service Unavailable</title>

</head><body>

<h1>Service Unavailable</h1>

<p>The server is temporarily unable to service your

request due to maintenance downtime or capacity

problems. Please try again later.</p>

</body></html>

Refreshing the smart proxy after install causes the problem to correct itself. You can check this on the console too:
SmartProxyFeature.joins(:feature).where("features.name" => "Pulpcore")

The capabilities will be blank

This is the cause of the current pipeline failure: https://ci.centos.org/job/foreman-katello-nightly-test/828/tapResults/
The foreman proxy w/content can't sync because the repository was created in pulp2, but is being served from pulp3 via apache.

Associated revisions

Revision 34aa29ab - 05/05/2020 07:23 PM - Ewoud Kohl van Wijngaarden
Fixes #29589 - Ensure pulpcore before proxy
When the Foreman Proxy registration happens, Pulp's features are queried

and presented as capabilities. If the service is down, Katello can't
detect the right content types.

History

#1 - 04/21/2020 10:02 PM - Justin Sherrill

- Subject changed from smart proxy registers prior to pulp being available to smart proxy registers prior to pulpcore being available

#2 - 04/22/2020 07:40 AM - Ewoud Kohl van Wijngaarden
- Category set to Foreman modules
- Target version set to 2.0.1

- Triaged changed from No to Yes
https://ci.centos.org/job/foreman-katello-nightly-test/828/tapResults/

This was never guaranteed by the installer. If it worked in the past, it happened to work by chance. This sounds like a good candidate to cherry pick
into 2.0.

#3 - 04/28/2020 12:48 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/252 added

#4 - 05/05/2020 07:23 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#5 - 05/05/2020 08:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|34aa29ab3acd98b4fc403c0c778e0c67{7d9b53c.

#6 - 06/09/2020 12:30 PM - Tomer Brisker
- Fixed in Releases 2.0.1 added
